package de.ivu.elect.business.person.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class KontoverbindungProperties
{

private final Kontoverbindung entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  bankleitzahlProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  bicProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  ibanProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  ibanBearbeiterProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  ibanVorAenderungProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  kontoinhaberProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  kontonummerProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  kreditinstitutProperty;

        
    

public KontoverbindungProperties(Kontoverbindung entity) {
this.entity = entity;

}

private static KontoverbindungMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( KontoverbindungMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getBankleitzahlProperty() {
        if (bankleitzahlProperty == null) {
        bankleitzahlProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getBankleitzahlEinzahlMessage(),
        getMetaData().getBankleitzahlDefaultValue(),
        getMetaData().isBankleitzahlRequired(),
                entity::setBankleitzahl,
        entity::getBankleitzahl

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.BANKLEITZAHL_MAX_LENGTH
                );

        }


        return bankleitzahlProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getBicProperty() {
        if (bicProperty == null) {
        bicProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getBicEinzahlMessage(),
        getMetaData().getBicDefaultValue(),
        getMetaData().isBicRequired(),
                entity::setBic,
        entity::getBic

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.BIC_MAX_LENGTH
                );

        }


        return bicProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getIbanProperty() {
        if (ibanProperty == null) {
        ibanProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getIbanEinzahlMessage(),
        getMetaData().getIbanDefaultValue(),
        getMetaData().isIbanRequired(),
                entity::setIban,
        entity::getIban

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.IBAN_MAX_LENGTH
                );

        }


        return ibanProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getIbanBearbeiterProperty() {
        if (ibanBearbeiterProperty == null) {
        ibanBearbeiterProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getIbanBearbeiterEinzahlMessage(),
        getMetaData().getIbanBearbeiterDefaultValue(),
        getMetaData().isIbanBearbeiterRequired(),
                entity::setIbanBearbeiter,
        entity::getIbanBearbeiter

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.IBAN_BEARBEITER_MAX_LENGTH
                );

        }


        return ibanBearbeiterProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getIbanVorAenderungProperty() {
        if (ibanVorAenderungProperty == null) {
        ibanVorAenderungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getIbanVorAenderungEinzahlMessage(),
        getMetaData().getIbanVorAenderungDefaultValue(),
        getMetaData().isIbanVorAenderungRequired(),
                entity::setIbanVorAenderung,
        entity::getIbanVorAenderung

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.IBAN_ZU_BESTAETIGEN_MAX_LENGTH
                );

        }


        return ibanVorAenderungProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getKontoinhaberProperty() {
        if (kontoinhaberProperty == null) {
        kontoinhaberProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getKontoinhaberEinzahlMessage(),
        getMetaData().getKontoinhaberDefaultValue(),
        getMetaData().isKontoinhaberRequired(),
                entity::setKontoinhaber,
        entity::getKontoinhaber

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.KONTOINHABER_MAX_LENGTH
                );

        }


        return kontoinhaberProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getKontonummerProperty() {
        if (kontonummerProperty == null) {
        kontonummerProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getKontonummerEinzahlMessage(),
        getMetaData().getKontonummerDefaultValue(),
        getMetaData().isKontonummerRequired(),
                entity::setKontonummer,
        entity::getKontonummer

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.KONTONUMMER_MAX_LENGTH
                );

        }


        return kontonummerProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getKreditinstitutProperty() {
        if (kreditinstitutProperty == null) {
        kreditinstitutProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getKreditinstitutEinzahlMessage(),
        getMetaData().getKreditinstitutDefaultValue(),
        getMetaData().isKreditinstitutRequired(),
                entity::setKreditinstitut,
        entity::getKreditinstitut

                    , 0 ,
            de.ivu.elect.business.person.entity.KontoverbindungConstants.KREDITINSTITUT_MAX_LENGTH
                );

        }


        return kreditinstitutProperty;
        }





        
        }